Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.pool
Class Statement

    java.lang.Object
      |
      +--weblogic.jdbc.pool.Statement

Direct Known Subclasses:
  PreparedStatement

public class Statement
extends java.lang.Object
implements java.sql.Statement, weblogic.jdbc.vendor.oracle.OracleStatement

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.

Field Summary
`weblogic.jdbc.common.internal.ConnectionEnv` | `cc`
`Connection` | `conn`
`java.lang.Long` | `key`
`protected boolean` | `sqlParamLoggingEnabled`
`protected int` | `sqlParamLogMaxLength`
`protected boolean` | `sqlProfilingEnabled`
`java.sql.Statement` | `stmt`
`protected weblogic.jdbc.common.internal.StatementProfile` | `stmtProfile`

Constructor Summary
`Statement()`
`Statement(java.sql.Statement jstmt, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.Long aKey, Connection aConn)`

Method Summary
`void` | `addBatch(java.lang.String sql)`
`void` | `cancel()`
`void` | `clearBatch()`
`void` | `clearDefines()`
`void` | `clearParameters()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `closeWithKey(java.lang.String s)`
`int` | `creationState()`
`void` | `defineColumnType(int i, int j)`
`void` | `defineColumnType(int i, int j, int k)`
`void` | `defineColumnType(int i, int j, java.lang.String s)`
`void` | `describe()`
`boolean` | `execute()`
`boolean` | `execute(java.lang.String sql)`
`boolean` | `execute(java.lang.String a, int b)`
`boolean` | `execute(java.lang.String a, int[] b)`
`boolean` | `execute(java.lang.String a, java.lang.String[] b)`
`int[]` | `executeBatch()`
`java.sql.ResultSet` | `executeQuery(java.lang.String sql)`
`int` | `executeUpdate()` jdk1.2 move to subclasses public java.sql.ResultSet executeQuery() throws SQLException { conn.checkIfClosed(); cc.checkIfEnabled(); current_rs = null; java.sql.ResultSet rs = ((java.sql.PreparedStatement)stmt).executeQuery(); cc.lastSuccessfulConnectionUse = System.currentTimeMillis(); if (rs == null) return null; ResultSetHolder rsh = new ResultSetHolder(rs); Long rs_key = cc.addResultSet(rsh); current_rs = new ResultSet(rs, cc, rs_key, conn); return current_rs; }
`int` | `executeUpdate(java.lang.String sql)`
`int` | `executeUpdate(java.lang.String a, int b)`
`int` | `executeUpdate(java.lang.String a, int[] b)`
`int` | `executeUpdate(java.lang.String a, java.lang.String[] b)`
`int` | `executeWriteText(java.lang.String tableName, java.lang.String columnName, byte[] textptr, boolean log, byte[] in, int offset, int length)`
`int` | `executeWriteText(java.lang.String tableName, java.lang.String columnName, byte[] textptr, boolean log, byte[] in, int offset, int length, byte[] timestamp)`
`int` | `executeWriteText(java.lang.String tableName, java.lang.String columnName, byte[] textptr, boolean log, java.io.InputStream in, int length)`
`int` | `executeWriteText(java.lang.String tableName, java.lang.String columnName, byte[] textptr, boolean log, java.io.InputStream in, int length, byte[] timestamp)`
`void` | `finalize()`
`java.sql.Array` | `getArray(java.lang.String a)`
`boolean` | `getAutoRefetch()`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex, int scale)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String a)`
`java.lang.Object` | `getBinds()`
`java.sql.Blob` | `getBlob(java.lang.String a)`
`boolean` | `getBoolean(int parameterIndex)`
`boolean` | `getBoolean(java.lang.String a)`
`byte` | `getByte(int parameterIndex)`
`byte` | `getByte(java.lang.String a)`
`byte[]` | `getBytes(int parameterIndex)`
`byte[]` | `getBytes(java.lang.String a)`
`java.sql.Clob` | `getClob(java.lang.String a)`
`java.sql.Connection` | `getConnection()`
`java.sql.Date` | `getDate(int parameterIndex)`
`java.sql.Date` | `getDate(java.lang.String a)`
`java.sql.Date` | `getDate(java.lang.String a, java.util.Calendar b)`
`java.lang.Object[]` | `getDBDescription()`
`double` | `getDouble(int parameterIndex)`
`double` | `getDouble(java.lang.String a)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int parameterIndex)`
`float` | `getFloat(java.lang.String a)`
`java.sql.ResultSet` | `getGeneratedKeys()`
`int` | `getInt(int parameterIndex)`
`int` | `getInt(java.lang.String a)`
`long` | `getLong(int parameterIndex)`
`long` | `getLong(java.lang.String a)`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`boolean` | `getMoreResults()`
`boolean` | `getMoreResults(int a)`
`java.lang.Object` | `getObject(int parameterIndex)`
`java.lang.Object` | `getObject(java.lang.String a)`
`java.lang.Object` | `getObject(java.lang.String a, java.util.Map b)`
`java.lang.String` | `getOriginalSql()`
`weblogic.jdbc.pool.ParameterMetaData` | `getParameterMetaData()`
`int` | `getQueryTimeout()`
`java.sql.Ref` | `getRef(java.lang.String a)`
`java.sql.ResultSet` | `getResultSet()`
`oracle.jdbc.driver.OracleResultSetCache` | `getResultSetCache()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetHoldability()`
`int` | `getResultSetType()`
`java.lang.String` | `getRevisedSql()` Deprecated.
`int` | `getRowPrefetch()`
`short` | `getShort(int parameterIndex)`
`short` | `getShort(java.lang.String a)`
`byte` | `getSqlKind()`
`java.lang.String` | `getString(int parameterIndex)`
`java.lang.String` | `getString(java.lang.String a)`
`java.sql.Time` | `getTime(int parameterIndex)`
`java.sql.Time` | `getTime(java.lang.String a)`
`java.sql.Time` | `getTime(java.lang.String a, java.util.Calendar b)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String a)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String a, java.util.Calendar b)`
`int` | `getUpdateCount()` jdk1.2 move to subclasses public java.sql.ResultSet getResultSet() throws SQLException { conn.checkIfClosed(); cc.checkIfEnabled(); java.sql.ResultSet rs = stmt.getResultSet(); if (rs == null) return null; ResultSetHolder rsh = new ResultSetHolder(rs); Long rs_key = cc.addResultSet(rsh); return new ResultSet(rs, cc, rs_key, conn); }
`java.net.URL` | `getURL(int a)`
`java.net.URL` | `getURL(java.lang.String a)`
`java.sql.SQLWarning` | `getWarnings()`
`protected void` | `initMonitoring()`
`boolean` | `is_value_null(boolean b, int i)`
`void` | `notify_close_rset()`
`void` | `registerOutParameter(int parameterIndex, int sqlType)` TC: for JDK1.2 override these in subclass PreparedStatement public java.sql.ResultSet executeQuery(String sql) throws SQLException { conn.checkIfClosed(); cc.checkIfEnabled(); current_rs = null; java.sql.ResultSet rs = ((java.sql.PreparedStatement)stmt).executeQuery(sql); cc.lastSuccessfulConnectionUse = System.currentTimeMillis(); if (rs == null) return null; ResultSetHolder rsh = new ResultSetHolder(rs); Long rs_key = cc.addResultSet(rsh); current_rs = new ResultSet(rs, cc, rs_key, conn); return current_rs; } public int executeUpdate(String sql) throws SQLException { conn.checkIfClosed(); cc.checkIfEnabled(); current_rs = null; int i = ((java.sql.PreparedStatement)stmt).executeUpdate(sql); cc.lastSuccessfulConnectionUse = System.currentTimeMillis(); return i; } public boolean execute(String sql) throws SQLException { conn.checkIfClosed(); cc.checkIfEnabled(); current_rs = null; int i = ((java.sql.PreparedStatement)stmt).execute(sql); cc.lastSuccessfulConnectionUse = System.currentTimeMillis(); return i; }
`void` | `registerOutParameter(int parameterIndex, int sqlType, int scale)`
`void` | `registerOutParameter(java.lang.String a, int b)`
`void` | `registerOutParameter(java.lang.String a, int b, int c)`
`void` | `registerOutParameter(java.lang.String a, int b, java.lang.String c)`
`int` | `sendBatch()`
`void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, int length)`
`void` | `setAsciiStream(java.lang.String a, java.io.InputStream b, int c)`
`void` | `setAutoRefetch(boolean b)`
`void` | `setBigDecimal(int parameterIndex, java.math.BigDecimal x)`
`void` | `setBigDecimal(java.lang.String a, java.math.BigDecimal b)`
`void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, int length)`
`void` | `setBinaryStream(java.lang.String a, java.io.InputStream b, int c)`
`void` | `setBoolean(int parameterIndex, boolean x)`
`void` | `setBoolean(java.lang.String a, boolean b)`
`void` | `setByte(int parameterIndex, byte x)`
`void` | `setByte(java.lang.String a, byte b)`
`void` | `setBytes(int parameterIndex, byte[] x)`
`void` | `setBytes(java.lang.String a, byte[] b)`
`void` | `setCharacterStream(java.lang.String a, java.io.Reader b, int c)`
`void` | `setCursorName(java.lang.String name)`
`void` | `setDate(int parameterIndex, java.sql.Date x)`
`void` | `setDate(java.lang.String a, java.sql.Date b)`
`void` | `setDate(java.lang.String a, java.sql.Date b, java.util.Calendar c)`
`void` | `setDouble(int parameterIndex, double x)`
`void` | `setDouble(java.lang.String a, double b)`
`void` | `setEscapeProcessing(boolean enable)`
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`
`void` | `setFloat(int parameterIndex, float x)`
`void` | `setFloat(java.lang.String a, float b)`
`void` | `setInt(int parameterIndex, int x)`
`void` | `setInt(java.lang.String a, int b)`
`void` | `setLong(int parameterIndex, long x)`
`void` | `setLong(java.lang.String a, long b)`
`void` | `setMaxFieldSize(int max)`
`void` | `setMaxRows(int max)`
`void` | `setNull(int parameterIndex, int sqlType)`
`void` | `setNull(java.lang.String a, int b)`
`void` | `setObject(int parameterIndex, java.lang.Object x)`
`void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType)`
`void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType, int scale)`
`void` | `setObject(java.lang.String a, java.lang.Object b)`
`void` | `setObject(java.lang.String a, java.lang.Object b, int c)`
`void` | `setObject(java.lang.String a, java.lang.Object b, int c, int d)`
`void` | `setQueryTimeout(int seconds)`
`void` | `setResultSetCache(oracle.jdbc.driver.OracleResultSetCache c)`
`void` | `setResultSetCache(oracle.jdbc.OracleResultSetCache c)`
`void` | `setRowPrefetch(int i)`
`void` | `setShort(int parameterIndex, short x)`
`void` | `setShort(java.lang.String a, short b)`
`void` | `setString(int parameterIndex, java.lang.String x)`
`void` | `setString(java.lang.String a, java.lang.String b)`
`void` | `setTime(int parameterIndex, java.sql.Time x)`
`void` | `setTime(java.lang.String a, java.sql.Time b)`
`void` | `setTime(java.lang.String a, java.sql.Time b, java.util.Calendar c)`
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x)`
`void` | `setTimestamp(java.lang.String a, java.sql.Timestamp c)`
`void` | `setTimestamp(java.lang.String a, java.sql.Timestamp b, java.util.Calendar c)`
`void` | `setUnicodeStream(int parameterIndex, java.io.InputStream x, int length)`
`void` | `setURL(int a, java.net.URL b)`
`void` | `setURL(java.lang.String a, java.net.URL b)`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cc

    public weblogic.jdbc.common.internal.ConnectionEnv cc

### stmt

    public java.sql.Statement stmt

### key

    public java.lang.Long key

### conn

    public Connection conn

### sqlProfilingEnabled

    protected boolean sqlProfilingEnabled

### sqlParamLoggingEnabled

    protected boolean sqlParamLoggingEnabled

### sqlParamLogMaxLength

    protected int sqlParamLogMaxLength

### stmtProfile

    protected weblogic.jdbc.common.internal.StatementProfile stmtProfile

Constructor Detail

### Statement

    public Statement()

### Statement

    public Statement(java.sql.Statement jstmt,
                     weblogic.jdbc.common.internal.ConnectionEnv aCc,
                     java.lang.Long aKey,
                     Connection aConn)

  Parameters:
    `jstmt` - java.sql.Statement
    `aCc` - ConnectionEnv
    `aKey` - String
    `aConn` - weblogic.jdbc.pool.Connection

Method Detail

### finalize

    public void finalize()

  Overrides:
    finalize in class java.lang.Object

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    close in interface java.sql.Statement

### cancel

    public void cancel()
                throws java.sql.SQLException

  Specified by:
    cancel in interface java.sql.Statement

### setCursorName

    public void setCursorName(java.lang.String name)
                       throws java.sql.SQLException

  Specified by:
    setCursorName in interface java.sql.Statement

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws java.sql.SQLException

  Specified by:
    getMaxFieldSize in interface java.sql.Statement

### setMaxFieldSize

    public void setMaxFieldSize(int max)
                         throws java.sql.SQLException

  Specified by:
    setMaxFieldSize in interface java.sql.Statement

### getMaxRows

    public int getMaxRows()
                   throws java.sql.SQLException

  Specified by:
    getMaxRows in interface java.sql.Statement

### setMaxRows

    public void setMaxRows(int max)
                    throws java.sql.SQLException

  Specified by:
    setMaxRows in interface java.sql.Statement

### getQueryTimeout

    public int getQueryTimeout()
                        throws java.sql.SQLException

  Specified by:
    getQueryTimeout in interface java.sql.Statement

### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws java.sql.SQLException

  Specified by:
    setQueryTimeout in interface java.sql.Statement

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    getWarnings in interface java.sql.Statement

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    clearWarnings in interface java.sql.Statement

### execute

    public boolean execute(java.lang.String sql)
                    throws java.sql.SQLException

  Specified by:
    execute in interface java.sql.Statement

### getUpdateCount

    public int getUpdateCount()
                       throws java.sql.SQLException

  jdk1.2 move to subclasses public java.sql.ResultSet getResultSet() throws SQLException { conn.checkIfClosed(); cc.checkIfEnabled(); java.sql.ResultSet rs = stmt.getResultSet(); if (rs == null) return null; ResultSetHolder rsh = new ResultSetHolder(rs); Long rs_key = cc.addResultSet(rsh); return new ResultSet(rs, cc, rs_key, conn); }
  Specified by:
    getUpdateCount in interface java.sql.Statement

### getMoreResults

    public boolean getMoreResults()
                           throws java.sql.SQLException

  Specified by:
    getMoreResults in interface java.sql.Statement

### setEscapeProcessing

    public void setEscapeProcessing(boolean enable)
                             throws java.sql.SQLException

  Specified by:
    setEscapeProcessing in interface java.sql.Statement

### execute

    public boolean execute()
                    throws java.sql.SQLException

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  jdk1.2 move to subclasses public java.sql.ResultSet executeQuery() throws SQLException { conn.checkIfClosed(); cc.checkIfEnabled(); current_rs = null; java.sql.ResultSet rs = ((java.sql.PreparedStatement)stmt).executeQuery(); cc.lastSuccessfulConnectionUse = System.currentTimeMillis(); if (rs == null) return null; ResultSetHolder rsh = new ResultSetHolder(rs); Long rs_key = cc.addResultSet(rsh); current_rs = new ResultSet(rs, cc, rs_key, conn); return current_rs; }

### setNull

    public void setNull(int parameterIndex,
                        int sqlType)
                 throws java.sql.SQLException

### setBoolean

    public void setBoolean(int parameterIndex,
                           boolean x)
                    throws java.sql.SQLException

### setByte

    public void setByte(int parameterIndex,
                        byte x)
                 throws java.sql.SQLException

### setShort

    public void setShort(int parameterIndex,
                         short x)
                  throws java.sql.SQLException

### setInt

    public void setInt(int parameterIndex,
                       int x)
                throws java.sql.SQLException

### setLong

    public void setLong(int parameterIndex,
                        long x)
                 throws java.sql.SQLException

### setFloat

    public void setFloat(int parameterIndex,
                         float x)
                  throws java.sql.SQLException

### setDouble

    public void setDouble(int parameterIndex,
                          double x)
                   throws java.sql.SQLException

### setBytes

    public void setBytes(int parameterIndex,
                         byte[] x)
                  throws java.sql.SQLException

### setBigDecimal

    public void setBigDecimal(int parameterIndex,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

### setString

    public void setString(int parameterIndex,
                          java.lang.String x)
                   throws java.sql.SQLException

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x)
                 throws java.sql.SQLException

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x)
                 throws java.sql.SQLException

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

### setUnicodeStream

    public void setUnicodeStream(int parameterIndex,
                                 java.io.InputStream x,
                                 int length)
                          throws java.sql.SQLException

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

### clearParameters

    public void clearParameters()
                         throws java.sql.SQLException

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x)
                   throws java.sql.SQLException

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType)
                              throws java.sql.SQLException

  TC: for JDK1.2 override these in subclass PreparedStatement public java.sql.ResultSet executeQuery(String sql) throws SQLException { conn.checkIfClosed(); cc.checkIfEnabled(); current_rs = null; java.sql.ResultSet rs = ((java.sql.PreparedStatement)stmt).executeQuery(sql); cc.lastSuccessfulConnectionUse = System.currentTimeMillis(); if (rs == null) return null; ResultSetHolder rsh = new ResultSetHolder(rs); Long rs_key = cc.addResultSet(rsh); current_rs = new ResultSet(rs, cc, rs_key, conn); return current_rs; } public int executeUpdate(String sql) throws SQLException { conn.checkIfClosed(); cc.checkIfEnabled(); current_rs = null; int i = ((java.sql.PreparedStatement)stmt).executeUpdate(sql); cc.lastSuccessfulConnectionUse = System.currentTimeMillis(); return i; } public boolean execute(String sql) throws SQLException { conn.checkIfClosed(); cc.checkIfEnabled(); current_rs = null; int i = ((java.sql.PreparedStatement)stmt).execute(sql); cc.lastSuccessfulConnectionUse = System.currentTimeMillis(); return i; }

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

### getString

    public java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

### getByte

    public byte getByte(int parameterIndex)
                 throws java.sql.SQLException

### getShort

    public short getShort(int parameterIndex)
                   throws java.sql.SQLException

### getInt

    public int getInt(int parameterIndex)
               throws java.sql.SQLException

### getLong

    public long getLong(int parameterIndex)
                 throws java.sql.SQLException

### getFloat

    public float getFloat(int parameterIndex)
                   throws java.sql.SQLException

### getDouble

    public double getDouble(int parameterIndex)
                     throws java.sql.SQLException

### getDate

    public java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

### getTime

    public java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                              int scale)
                                       throws java.sql.SQLException

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

### getObject

    public java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

### executeWriteText

    public int executeWriteText(java.lang.String tableName,
                                java.lang.String columnName,
                                byte[] textptr,
                                boolean log,
                                byte[] in,
                                int offset,
                                int length,
                                byte[] timestamp)
                         throws java.sql.SQLException

### executeWriteText

    public int executeWriteText(java.lang.String tableName,
                                java.lang.String columnName,
                                byte[] textptr,
                                boolean log,
                                java.io.InputStream in,
                                int length,
                                byte[] timestamp)
                         throws java.sql.SQLException

### executeWriteText

    public int executeWriteText(java.lang.String tableName,
                                java.lang.String columnName,
                                byte[] textptr,
                                boolean log,
                                byte[] in,
                                int offset,
                                int length)
                         throws java.sql.SQLException

### executeWriteText

    public int executeWriteText(java.lang.String tableName,
                                java.lang.String columnName,
                                byte[] textptr,
                                boolean log,
                                java.io.InputStream in,
                                int length)
                         throws java.sql.SQLException

### initMonitoring

    protected final void initMonitoring()

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String sql)
                                    throws java.sql.SQLException

  Specified by:
    executeQuery in interface java.sql.Statement

  Parameters:
    `sql` - String
  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Specified by:
    executeUpdate in interface java.sql.Statement

  Parameters:
    `sql` - String
  Returns:
    int
  Throws:
    java.sql.SQLException - if there is an error

### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

  Specified by:
    getResultSet in interface java.sql.Statement

  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Specified by:
    setFetchDirection in interface java.sql.Statement

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Specified by:
    getFetchDirection in interface java.sql.Statement

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Specified by:
    setFetchSize in interface java.sql.Statement

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Specified by:
    getFetchSize in interface java.sql.Statement

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws java.sql.SQLException

  Specified by:
    getResultSetConcurrency in interface java.sql.Statement

### getResultSetType

    public int getResultSetType()
                         throws java.sql.SQLException

  Specified by:
    getResultSetType in interface java.sql.Statement

### addBatch

    public void addBatch(java.lang.String sql)
                  throws java.sql.SQLException

  Specified by:
    addBatch in interface java.sql.Statement

### clearBatch

    public void clearBatch()
                    throws java.sql.SQLException

  Specified by:
    clearBatch in interface java.sql.Statement

### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

  Specified by:
    executeBatch in interface java.sql.Statement

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    getConnection in interface java.sql.Statement

### getOriginalSql

    public java.lang.String getOriginalSql()
                                    throws java.sql.SQLException

  Specified by:
    getOriginalSql in interface weblogic.jdbc.vendor.oracle.OracleStatement

### getRevisedSql

    public java.lang.String getRevisedSql()
                                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    getRevisedSql in interface weblogic.jdbc.vendor.oracle.OracleStatement

### getAutoRefetch

    public boolean getAutoRefetch()
                           throws java.sql.SQLException

  Specified by:
    getAutoRefetch in interface weblogic.jdbc.vendor.oracle.OracleStatement

### is_value_null

    public boolean is_value_null(boolean b,
                                 int i)
                          throws java.sql.SQLException

  Specified by:
    is_value_null in interface weblogic.jdbc.vendor.oracle.OracleStatement

### getSqlKind

    public byte getSqlKind()
                    throws java.sql.SQLException

  Specified by:
    getSqlKind in interface weblogic.jdbc.vendor.oracle.OracleStatement

### creationState

    public int creationState()
                      throws java.sql.SQLException

  Specified by:
    creationState in interface weblogic.jdbc.vendor.oracle.OracleStatement

### getRowPrefetch

    public int getRowPrefetch()
                       throws java.sql.SQLException

  Specified by:
    getRowPrefetch in interface weblogic.jdbc.vendor.oracle.OracleStatement

### sendBatch

    public int sendBatch()
                  throws java.sql.SQLException

  Specified by:
    sendBatch in interface weblogic.jdbc.vendor.oracle.OracleStatement

### clearDefines

    public void clearDefines()
                      throws java.sql.SQLException

  Specified by:
    clearDefines in interface weblogic.jdbc.vendor.oracle.OracleStatement

### defineColumnType

    public void defineColumnType(int i,
                                 int j)
                          throws java.sql.SQLException

  Specified by:
    defineColumnType in interface weblogic.jdbc.vendor.oracle.OracleStatement

### defineColumnType

    public void defineColumnType(int i,
                                 int j,
                                 java.lang.String s)
                          throws java.sql.SQLException

  Specified by:
    defineColumnType in interface weblogic.jdbc.vendor.oracle.OracleStatement

### defineColumnType

    public void defineColumnType(int i,
                                 int j,
                                 int k)
                          throws java.sql.SQLException

  Specified by:
    defineColumnType in interface weblogic.jdbc.vendor.oracle.OracleStatement

### describe

    public void describe()
                  throws java.sql.SQLException

  Specified by:
    describe in interface weblogic.jdbc.vendor.oracle.OracleStatement

### notify_close_rset

    public void notify_close_rset()
                           throws java.sql.SQLException

  Specified by:
    notify_close_rset in interface weblogic.jdbc.vendor.oracle.OracleStatement

### setAutoRefetch

    public void setAutoRefetch(boolean b)
                        throws java.sql.SQLException

  Specified by:
    setAutoRefetch in interface weblogic.jdbc.vendor.oracle.OracleStatement

### setRowPrefetch

    public void setRowPrefetch(int i)
                        throws java.sql.SQLException

  Specified by:
    setRowPrefetch in interface weblogic.jdbc.vendor.oracle.OracleStatement

### closeWithKey

    public void closeWithKey(java.lang.String s)
                      throws java.sql.SQLException

  Specified by:
    closeWithKey in interface weblogic.jdbc.vendor.oracle.OracleStatement

### getDBDescription

    public java.lang.Object[] getDBDescription()
                                        throws java.sql.SQLException

  Specified by:
    getDBDescription in interface weblogic.jdbc.vendor.oracle.OracleStatement

### getBinds

    public java.lang.Object getBinds()
                              throws java.sql.SQLException

  Specified by:
    getBinds in interface weblogic.jdbc.vendor.oracle.OracleStatement

### getResultSetCache

    public oracle.jdbc.driver.OracleResultSetCache getResultSetCache()
                                                              throws java.sql.SQLException

  Specified by:
    getResultSetCache in interface weblogic.jdbc.vendor.oracle.OracleStatement

### setResultSetCache

    public void setResultSetCache(oracle.jdbc.driver.OracleResultSetCache c)
                           throws java.sql.SQLException

  Specified by:
    setResultSetCache in interface weblogic.jdbc.vendor.oracle.OracleStatement

### setResultSetCache

    public void setResultSetCache(oracle.jdbc.OracleResultSetCache c)
                           throws java.sql.SQLException

  Specified by:
    setResultSetCache in interface weblogic.jdbc.vendor.oracle.OracleStatement

### execute

    public boolean execute(java.lang.String a,
                           int b)
                    throws java.sql.SQLException

### execute

    public boolean execute(java.lang.String a,
                           int[] b)
                    throws java.sql.SQLException

### execute

    public boolean execute(java.lang.String a,
                           java.lang.String[] b)
                    throws java.sql.SQLException

### getBoolean

    public boolean getBoolean(java.lang.String a)
                       throws java.sql.SQLException

### getMoreResults

    public boolean getMoreResults(int a)
                           throws java.sql.SQLException

### getByte

    public byte getByte(java.lang.String a)
                 throws java.sql.SQLException

### getBytes

    public byte[] getBytes(java.lang.String a)
                    throws java.sql.SQLException

### getDouble

    public double getDouble(java.lang.String a)
                     throws java.sql.SQLException

### getFloat

    public float getFloat(java.lang.String a)
                   throws java.sql.SQLException

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int b)
                      throws java.sql.SQLException

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int[] b)
                      throws java.sql.SQLException

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             java.lang.String[] b)
                      throws java.sql.SQLException

### getInt

    public int getInt(java.lang.String a)
               throws java.sql.SQLException

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws java.sql.SQLException

### getObject

    public java.lang.Object getObject(java.lang.String a)
                               throws java.sql.SQLException

### getObject

    public java.lang.Object getObject(java.lang.String a,
                                      java.util.Map b)
                               throws java.sql.SQLException

### getString

    public java.lang.String getString(java.lang.String a)
                               throws java.sql.SQLException

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String a)
                                       throws java.sql.SQLException

### getURL

    public java.net.URL getURL(int a)
                        throws java.sql.SQLException

### getURL

    public java.net.URL getURL(java.lang.String a)
                        throws java.sql.SQLException

### getArray

    public java.sql.Array getArray(java.lang.String a)
                            throws java.sql.SQLException

### getBlob

    public java.sql.Blob getBlob(java.lang.String a)
                          throws java.sql.SQLException

### getClob

    public java.sql.Clob getClob(java.lang.String a)
                          throws java.sql.SQLException

### getDate

    public java.sql.Date getDate(java.lang.String a)
                          throws java.sql.SQLException

### getDate

    public java.sql.Date getDate(java.lang.String a,
                                 java.util.Calendar b)
                          throws java.sql.SQLException

### getParameterMetaData

    public weblogic.jdbc.pool.ParameterMetaData getParameterMetaData()
                                                              throws java.sql.SQLException

### getRef

    public java.sql.Ref getRef(java.lang.String a)
                        throws java.sql.SQLException

### getGeneratedKeys

    public java.sql.ResultSet getGeneratedKeys()
                                        throws java.sql.SQLException

### getTime

    public java.sql.Time getTime(java.lang.String a)
                          throws java.sql.SQLException

### getTime

    public java.sql.Time getTime(java.lang.String a,
                                 java.util.Calendar b)
                          throws java.sql.SQLException

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String a)
                                    throws java.sql.SQLException

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String a,
                                           java.util.Calendar b)
                                    throws java.sql.SQLException

### getLong

    public long getLong(java.lang.String a)
                 throws java.sql.SQLException

### getShort

    public short getShort(java.lang.String a)
                   throws java.sql.SQLException

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b)
                              throws java.sql.SQLException

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b,
                                     int c)
                              throws java.sql.SQLException

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b,
                                     java.lang.String c)
                              throws java.sql.SQLException

### setAsciiStream

    public void setAsciiStream(java.lang.String a,
                               java.io.InputStream b,
                               int c)
                        throws java.sql.SQLException

### setBigDecimal

    public void setBigDecimal(java.lang.String a,
                              java.math.BigDecimal b)
                       throws java.sql.SQLException

### setBinaryStream

    public void setBinaryStream(java.lang.String a,
                                java.io.InputStream b,
                                int c)
                         throws java.sql.SQLException

### setBoolean

    public void setBoolean(java.lang.String a,
                           boolean b)
                    throws java.sql.SQLException

### setByte

    public void setByte(java.lang.String a,
                        byte b)
                 throws java.sql.SQLException

### setBytes

    public void setBytes(java.lang.String a,
                         byte[] b)
                  throws java.sql.SQLException

### setCharacterStream

    public void setCharacterStream(java.lang.String a,
                                   java.io.Reader b,
                                   int c)
                            throws java.sql.SQLException

### setDate

    public void setDate(java.lang.String a,
                        java.sql.Date b)
                 throws java.sql.SQLException

### setDate

    public void setDate(java.lang.String a,
                        java.sql.Date b,
                        java.util.Calendar c)
                 throws java.sql.SQLException

### setDouble

    public void setDouble(java.lang.String a,
                          double b)
                   throws java.sql.SQLException

### setFloat

    public void setFloat(java.lang.String a,
                         float b)
                  throws java.sql.SQLException

### setInt

    public void setInt(java.lang.String a,
                       int b)
                throws java.sql.SQLException

### setLong

    public void setLong(java.lang.String a,
                        long b)
                 throws java.sql.SQLException

### setNull

    public void setNull(java.lang.String a,
                        int b)
                 throws java.sql.SQLException

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b)
                   throws java.sql.SQLException

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b,
                          int c)
                   throws java.sql.SQLException

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b,
                          int c,
                          int d)
                   throws java.sql.SQLException

### setShort

    public void setShort(java.lang.String a,
                         short b)
                  throws java.sql.SQLException

### setString

    public void setString(java.lang.String a,
                          java.lang.String b)
                   throws java.sql.SQLException

### setTime

    public void setTime(java.lang.String a,
                        java.sql.Time b)
                 throws java.sql.SQLException

### setTime

    public void setTime(java.lang.String a,
                        java.sql.Time b,
                        java.util.Calendar c)
                 throws java.sql.SQLException

### setTimestamp

    public void setTimestamp(java.lang.String a,
                             java.sql.Timestamp c)
                      throws java.sql.SQLException

### setTimestamp

    public void setTimestamp(java.lang.String a,
                             java.sql.Timestamp b,
                             java.util.Calendar c)
                      throws java.sql.SQLException

### setURL

    public void setURL(int a,
                       java.net.URL b)
                throws java.sql.SQLException

### setURL

    public void setURL(java.lang.String a,
                       java.net.URL b)
                throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference